Loading...
Searching...
No Matches
itk::KernelFunctionBase2< TRealValueType > Class Template Referenceabstract

`#include <itkKernelFunctionBase2.h>`

## Detailed Description

template<typename TRealValueType = double>
class itk::KernelFunctionBase2< TRealValueType >

Kernel used for density estimation and nonparameteric regression.

This class encapsulates the smoothing kernel used for statistical density estimation and nonparameteric regression. The basic idea of the kernel approach is to weight observations by a smooth function (the kernel) to created a smoothed approximation.

Reference: Silverman, B. W. (1986) Density Estimation. London: Chapman and Hall.

Definition at line 40 of file itkKernelFunctionBase2.h.

Inheritance diagram for itk::KernelFunctionBase2< TRealValueType >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | RealType = TRealValueType
using | Self = KernelFunctionBase2
using | Superclass = KernelFunctionBase<TRealValueType>

## Public Member Functions

TRealValueType | Evaluate (const TRealValueType &u) const override=0
virtual void | Evaluate (const TRealValueType &u, TRealValueType *weights) const =0
virtual const char * | GetClassName () const

## Protected Member Functions

| KernelFunctionBase2 ()=default
| ~KernelFunctionBase2 () override=default

## Member Typedef Documentation

## ConstPointer

template<typename TRealValueType = double>

using itk::KernelFunctionBase2< TRealValueType >::ConstPointer = SmartPointer<const Self>

Definition at line 47 of file itkKernelFunctionBase2.h.

## Pointer

template<typename TRealValueType = double>

using itk::KernelFunctionBase2< TRealValueType >::Pointer = SmartPointer<Self>

Definition at line 46 of file itkKernelFunctionBase2.h.

## RealType

template<typename TRealValueType = double>

using itk::KernelFunctionBase2< TRealValueType >::RealType = TRealValueType

Definition at line 49 of file itkKernelFunctionBase2.h.

## Self

template<typename TRealValueType = double>

using itk::KernelFunctionBase2< TRealValueType >::Self = KernelFunctionBase2

Standard class typedefs.

Definition at line 44 of file itkKernelFunctionBase2.h.

## Superclass

template<typename TRealValueType = double>

using itk::KernelFunctionBase2< TRealValueType >::Superclass = KernelFunctionBase<TRealValueType>

Definition at line 45 of file itkKernelFunctionBase2.h.

## Constructor & Destructor Documentation

## KernelFunctionBase2()

template<typename TRealValueType = double>

itk::KernelFunctionBase2< TRealValueType >::KernelFunctionBase2 | ( |  | ) |

protected default

## ~KernelFunctionBase2()

template<typename TRealValueType = double>

itk::KernelFunctionBase2< TRealValueType >::~KernelFunctionBase2 | ( |  | ) |

override protected default

## Member Function Documentation

## Evaluate() [1/2]

template<typename TRealValueType = double>

TRealValueType itk::KernelFunctionBase2< TRealValueType >::Evaluate | ( | const TRealValueType & | u | ) | const

override pure virtual

Evaluate the function. Subclasses must implement this.

Implemented in itk::BSplineDerivativeKernelFunction2< VSplineOrder >, itk::BSplineDerivativeKernelFunction2< VSplineOrder >, itk::BSplineKernelFunction2< VSplineOrder >, and itk::BSplineKernelFunction2< VSplineOrder >.

## Evaluate() [2/2]

template<typename TRealValueType = double>

virtual void itk::KernelFunctionBase2< TRealValueType >::Evaluate | ( | const TRealValueType & | u,
|  | TRealValueType * | weights ) const

pure virtual

Evaluate the function. Subclasses must implement this.

Implemented in itk::BSplineDerivativeKernelFunction2< VSplineOrder >, itk::BSplineDerivativeKernelFunction2< VSplineOrder >, itk::BSplineKernelFunction2< VSplineOrder >, and itk::BSplineKernelFunction2< VSplineOrder >.

## GetClassName()

template<typename TRealValueType = double>

virtual const char * itk::KernelFunctionBase2< TRealValueType >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in itk::BSplineDerivativeKernelFunction2< VSplineOrder >, itk::BSplineDerivativeKernelFunction2< VSplineOrder >, itk::BSplineKernelFunction2< VSplineOrder >, and itk::BSplineKernelFunction2< VSplineOrder >.

Generated on 1768596610 for elastix by 1.15.0 |